<?xml version="1.0" encoding="utf-8"?><!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->
<com.google.android.material.card.MaterialCardView xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:id="@+id/favourite"
	android:layout_width="match_parent"
	android:layout_height="wrap_content"
	android:layout_marginTop="8dp"
	android:layout_marginBottom="8dp">

	<androidx.constraintlayout.widget.ConstraintLayout
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		android:paddingBottom="16dp">

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/feed_name"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginStart="16dp"
			android:layout_marginTop="16dp"
			android:textAppearance="@style/TextAppearance.Material3.LabelSmall"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tool:text="GB" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/stop_name"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginStart="16dp"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/feed_name"
			tool:text="Westminster" />

		<ImageView
			android:id="@+id/line_icon"
			android:layout_width="24dp"
			android:layout_height="24dp"
			android:layout_marginStart="8dp"
			app:layout_constraintBottom_toTopOf="@+id/departure_headsign"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="@+id/departure_line"
			tool:ignore="ContentDescription"
			tool:srcCompat="@drawable/bus_black" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/arrival_status"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginTop="8dp"
			android:layout_marginEnd="8dp"
			android:textAppearance="@style/TextAppearance.Material3.LabelSmall"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tool:text="approx. arr." />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/arrival_time"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginEnd="8dp"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/arrival_status"
			tool:text="1hr" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/arrival_full_time"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginTop="4dp"
			android:textAppearance="@style/TextAppearance.Material3.LabelSmall"
			app:layout_constraintEnd_toEndOf="@+id/arrival_time"
			app:layout_constraintTop_toBottomOf="@+id/arrival_time"
			tool:text="18:55" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/departure_status"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginTop="8dp"
			android:layout_marginEnd="8dp"
			android:textAppearance="@style/TextAppearance.Material3.LabelSmall"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintTop_toTopOf="@+id/departure_line"
			tool:text="approx. dep." />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/departure_time"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginEnd="8dp"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/departure_status"
			tool:text="1hr" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/departure_full_time"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginTop="4dp"
			android:textAppearance="@style/TextAppearance.Material3.LabelSmall"
			app:layout_constraintEnd_toEndOf="@+id/departure_time"
			app:layout_constraintTop_toBottomOf="@+id/departure_time"
			tool:text="18:55" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/departure_line"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginStart="8dp"
			android:layout_marginTop="8dp"
			android:text="@string/loading"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineMedium"
			app:layout_constraintStart_toEndOf="@+id/line_icon"
			app:layout_constraintTop_toBottomOf="@+id/stop_name"
			tool:text="Metropolitan" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/departure_headsign"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:textAppearance="@style/TextAppearance.Material3.BodySmall"
			app:layout_constraintStart_toStartOf="@+id/departure_line"
			app:layout_constraintTop_toBottomOf="@+id/departure_line"
			tool:text="» Tower Hill" />

	</androidx.constraintlayout.widget.ConstraintLayout>
</com.google.android.material.card.MaterialCardView>